#
# spec file for package python-magic
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-magic
%define build_python_bindings 1
BuildRequires:  findutils
BuildRequires:  libtool
BuildRequires:  python-devel
BuildRequires:  zlib-devel
Url:            http://www.darwinsys.com/file/
Version:        5.19
Release:        8.3
Summary:        Python module to use libmagic
License:        BSD-3-Clause and BSD-4-Clause
Group:          Development/Languages/Python
%py_requires
Source99:       file.spec
%{expand:%(sed -n -e '/^Source:/,/^BuildRoot:/p' <%_sourcedir/file.spec)}
%global         _sysconfdir /etc
%global         _miscdir    %{_datadir}/misc

%description 
This package contains the python binding that require the magic "file"
interface.

%prep
%{expand:%(sed -n -e '/^%%prep/,/^%%install/p' <%_sourcedir/file.spec | sed -e '1d' -e '$d')}

%install
pushd python
python setup.py install --root=%{buildroot}	\
			--prefix=%{_prefix}	\
			--record-rpm=../python_files
popd

%files -f python_files
%defattr(-,root,root)
%doc python/README python/example.py

%changelog
* Wed Jun 25 2014 werner@suse.de
- adapt version in specfile to 5.19
* Fri Feb 28 2014 ro@suse.de
- adapt version in specfile to 5.17
* Sun Feb 23 2014 andreas.stieger@gmx.de
- Update python-magic to file version 5.17 (bug fix release)
  * Count recursion levels through indirect magic
  * Prevent infinite recursion on files with indirect offsets of 0
  * Add -E flag that makes file print filesystem errors to stderr
    and exit.
  * mime printing could print results from multiple magic entries
    if there were multiple matches.
  * in some cases overflow was not detected when computing offsets
    in softmagic.
  * use strcasestr() to for cdf strings
  * reset to the "C" locale while doing regex operations, or case
    insensitive comparisons; this is provisional
* Mon Dec  2 2013 werner@suse.de
- Make it ready for file 5.16
* Tue Oct  1 2013 werner@suse.de
- Make it ready for file 5.15
* Tue Mar 12 2013 idonmez@suse.com
- Run pre_checkin.sh
* Tue Mar 27 2012 aj@suse.de
- ran pre_checkin.sh
* Sun Sep 18 2011 jengelh@medozas.de
- Apply packaging guidelines (remove redundant/obsolete
  tags/sections from specfile, etc.)
* Mon Aug 29 2011 coolo@novell.com
- ran pre_checkin.sh
* Tue Apr 15 2008 werner@suse.de
- Also change version number in python-magic.spec
* Mon Jan 28 2008 rguenther@suse.de
- Split off from file.
